aboutsummaryrefslogtreecommitdiffstats
path: root/main/linux-grsec/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2012-04-01 15:03:26 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2012-04-02 18:46:26 +0000
commit6366c596acc552ceca94e6b4523b6d9602f46a48 (patch)
tree2202dd2692c6a8100627fc2f929fd9cd7f0d2950 /main/linux-grsec/APKBUILD
parentdf1acc8efef28b55fe4089206e489169f9b589f7 (diff)
downloadaports-6366c596acc552ceca94e6b4523b6d9602f46a48.tar.gz
aports-6366c596acc552ceca94e6b4523b6d9602f46a48.tar.bz2
aports-6366c596acc552ceca94e6b4523b6d9602f46a48.tar.xz
main/linux-grsec: upgrade to 3.3.0 kernel
Diffstat (limited to 'main/linux-grsec/APKBUILD')
-rw-r--r--main/linux-grsec/APKBUILD29
1 files changed, 10 insertions, 19 deletions
diff --git a/main/linux-grsec/APKBUILD b/main/linux-grsec/APKBUILD
index cc177f6673..9e9028165b 100644
--- a/main/linux-grsec/APKBUILD
+++ b/main/linux-grsec/APKBUILD
@@ -2,8 +2,8 @@
_flavor=grsec
pkgname=linux-${_flavor}
-pkgver=3.2.12
-_kernver=3.2
+pkgver=3.3.0
+_kernver=3.3
pkgrel=0
pkgdesc="Linux kernel with grsecurity"
url=http://grsecurity.net
@@ -12,16 +12,11 @@ makedepends="perl installkernel bash gmp-dev"
options="!strip"
_config=${config:-kernelconfig.${CARCH}}
install=
-source="http://ftp.kernel.org/pub/linux/kernel/v3.0/linux-$_kernver.tar.bz2
- http://ftp.kernel.org/pub/linux/kernel/v3.0/patch-$pkgver.bz2
- grsecurity-2.9-3.2.12-201203191822.patch
+source="http://ftp.kernel.org/pub/linux/kernel/v3.x/linux-$_kernver.tar.xz
+ grsecurity-2.9-3.3.0-201204010912.patch
0004-arp-flush-arp-cache-on-device-change.patch
- x86-centaur-enable-cx8-for-via-eden-too.patch
- inetpeer-invalidate-the-inetpeer-tree-along-with-the-routing-cache.patch
- route-remove-redirect-genid.patch
-
kernelconfig.x86
kernelconfig.x86_64
"
@@ -34,8 +29,8 @@ _abi_release=${pkgver}-${_flavor}
prepare() {
local _patch_failed=
cd "$srcdir"/linux-$_kernver
- if [ "$_kernver" != "$pkgver" ]; then
- bunzip2 -c < "$srcdir"/patch-$pkgver.bz2 | patch -p1 -N || return 1
+ if [ "${pkgver%.0}" != "$pkgver" ]; then
+ unxz -c < "$srcdir"/patch-$pkgver.xz | patch -p1 -N || return 1
fi
# first apply patches in specified order
@@ -140,12 +135,8 @@ dev() {
"$subpkgdir"/lib/modules/${_abi_release}/build
}
-md5sums="7ceb61f87c097fc17509844b71268935 linux-3.2.tar.bz2
-377a6d731cd246aaa0c0f6a432b7aece patch-3.2.12.bz2
-3dc3551af038565f35bf0169942bf0ba grsecurity-2.9-3.2.12-201203191822.patch
+md5sums="7133f5a2086a7d7ef97abac610c094f5 linux-3.3.tar.xz
+4a84e775da56db17d11945991029482c grsecurity-2.9-3.3.0-201204010912.patch
776adeeb5272093574f8836c5037dd7d 0004-arp-flush-arp-cache-on-device-change.patch
-f3eda7112ef074a4121ec6de943c63ee x86-centaur-enable-cx8-for-via-eden-too.patch
-0e57daa3b43acadd82ae66fa9e3f7da1 inetpeer-invalidate-the-inetpeer-tree-along-with-the-routing-cache.patch
-06061e5de624849e082c3c8dbe37c908 route-remove-redirect-genid.patch
-a7d9961d4118514989499cf2da3c6801 kernelconfig.x86
-9120cc34f987b0fa1f74ba5df9f0aa40 kernelconfig.x86_64"
+51458d030e02ea7bc134df4f37557cb0 kernelconfig.x86
+ae652877225cb3e3b8a3705b3a411d71 kernelconfig.x86_64"